<bugID>797183<Summary>On XP stub install progress bar starts at 100% and download progress bar doesn't go to 100%</Summary><Description>When I install Firefox on Windows XP, the use of progress bars to demonstrate progress of download and install just feels a bit awkward and confusing. Some issues I'm seeing include:

- Right after starting the download phase, I'm seeing a part of installing phase progress bar already filled out. Then, later after download is complete, that disappears, and goes into the "discovery" phase of trying to figure out the progress to install. Right at the beginning of the download phase, we haven't installed anything, right? So why is anything being shown.
- When I finish the download phase, part of progress bar remains rendered in the download progress bar, even though downloading is entirely done. Shouldn't we give a clear indication that the download is complete, rather than leaving a progress bar behind?</Description></bugID>